Results 1 to 7 of 7

Thread: Getting QQ IM working in Ubuntu - Pidgin

  1. #1
    Join Date
    Jan 2009
    Location
    China
    Beans
    57
    Distro
    Ubuntu 12.04 Precise Pangolin

    Getting QQ IM working in Ubuntu - Pidgin

    To use QQ in Ubuntu 11.04 Natty onwards you need to install Pidgin IM. It is a multiple protocol IM client. See here http://pidgin.im/. It is easy to find in the Software Centre in Ubuntu 11.04 onwards. Currently in Pidgin however the QQ protocol is either out of date or has problems with the QQ security verifications. By adding the PPA on this page and following the instruction to install libqq-pidgin - http://code.google.com/p/libqq-pidgin/wiki/UbuntuUsers from the Google Code project you can quickly and easily install their new libqq-pidgin package and this will allow you to use QQ in Ubuntu without any problems. Install it and check it out.

    To do all this all you need to do is add the PPA and install as follows in a terminal...

    Code:
    sudo add-apt-repository ppa:lainme/libqq
    sudo apt-get install libqq-pidgin

  2. #2
    Join Date
    Apr 2009
    Beans
    18

    Re: Getting QQ IM working in Ubuntu - Pidgin

    I have installed pidgin 2.10.3

    and then:

    sudo add-apt-repository ppa:lainme/libqq
    sudo apt-get install libqq-pidgin


    and I can see QQ in pidgin but then whenn I try and enable an account I get:

    尊敬的用户,您的QQ版本已经停止使用,
    请到http://hi.qq.com
    下载并安装最新的QQ版本。
    给您带来不便,敬请谅解!

    Which I believe is telling me to update to the latest version of QQ? Is this due to outdated libqq-pidgin code?
    Attached Images Attached Images

  3. #3
    Join Date
    Mar 2006
    Beans
    27
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Getting QQ IM working in Ubuntu - Pidgin

    Quote Originally Posted by IAmCorbin View Post
    I have installed pidgin 2.10.3

    and then:

    sudo add-apt-repository ppa:lainme/libqq
    sudo apt-get install libqq-pidgin


    and I can see QQ in pidgin but then whenn I try and enable an account I get:

    尊敬的用户,您的QQ版本已经停止使用,
    请到http://hi.qq.com
    下载并安装最新的QQ版本。
    给您带来不便,敬请谅解!

    Which I believe is telling me to update to the latest version of QQ? Is this due to outdated libqq-pidgin code?
    Hi,

    I got it working for a friend as recently as Saturday following the steps listed

    But apparently it has since stopped working sighting temporary login restrictions have been applied.

    I haven't checked in with my friend today to see if this is still the case.

    Thanks.


  4. #4
    Join Date
    May 2012
    Beans
    2

    Re: Getting QQ IM working in Ubuntu - Pidgin

    Quote Originally Posted by Hotwheelz79 View Post
    Hi,

    I got it working for a friend as recently as Saturday following the steps listed

    But apparently it has since stopped working sighting temporary login restrictions have been applied.

    I haven't checked in with my friend today to see if this is still the case.

    Thanks.

    I have just recently installed Ubuntu 12.04 and one of the first thing I tried was to get it working with Empathy.. and failed..

    Do tell me if your friend get it to work. Thanks

  5. #5
    Join Date
    Apr 2009
    Beans
    Hidden!
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Getting QQ IM working in Ubuntu - Pidgin

    i never had long luck with QQ and linux. even when it was running with pidgin. it was never really stable to me. i therefore just use the web version
    http://web2.qq.com/webqqpic/
    To mark your thread as [SOLVED], use Thread Tools [at top]

  6. #6
    Join Date
    Oct 2009
    Beans
    9

    Re: Getting QQ IM working in Ubuntu - Pidgin

    The QQ 2010 protocol is deprecated, but the libqq-pidgin is not upgraded for the new protocol.

    Here is another one for pidgin: https://github.com/xiehuc/pidgin-lwqq

    Currently there is no deb package for pidgin-lwqq, but you can refer to this page for compiling it yourself: https://github.com/xiehuc/pidgin-lwq...tall-on-ubuntu

    After install, open pidgin and choose 'WebQQ' as the protocol to add your account.

  7. #7
    Join Date
    Aug 2012
    Beans
    6

    Re: Getting QQ IM working in Ubuntu - Pidgin

    this works for me
    down vote for your Linux needs please consider using:
    http://qqchat.qq.com (QQ for Facebook.. it's wickedly good!)

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •